Digraph::InArcIt Class Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
Digraph::InArcIt Class Reference

## Detailed Description

This iterator goes trough the incoming arcs of a certain node of a digraph. Its usage is quite simple, for example, you can count the number of incoming arcs of a node `n` in a digraph `g` of type `Digraph` as follows.

* int count=0;
* for(Digraph::InArcIt a(g, n); a!=INVALID; ++a) ++count;
*

`#include <lemon/concepts/digraph.h>`

Inheritance diagram for Digraph::InArcIt:
[legend]

## Public Member Functions
| InArcIt ()
| Default constructor. More...
| InArcIt (const InArcIt &e)
| Copy constructor. More...
| InArcIt (Invalid)
| Invalid constructor & conversion. More...
| InArcIt (const Digraph &, const Node &)
| Sets the iterator to the first incoming arc. More...
| InArcIt (const Digraph &, const Arc &)
| Sets the iterator to the given arc. More...
InArcIt & | operator++ ()
| Next incoming arc. More...
Public Member Functions inherited from Digraph::Arc
| Arc ()
| Default constructor. More...
| Arc (const Arc &)
| Copy constructor. More...
| Arc (Invalid)
| Invalid constructor & conversion. More...
bool | operator== (Arc) const
| Equality operator. More...
bool | operator!= (Arc) const
| Inequality operator. More...
bool | operator< (Arc) const
| Artificial ordering operator. More...

## Constructor & Destructor Documentation

InArcIt | ( |  | ) |
| inline

Default constructor.

Warning
  It sets the iterator to an undefined value.

InArcIt | ( | const InArcIt & | e | ) |
| inline

Copy constructor.

InArcIt | ( | Invalid |  | ) |
| inline

Initializes the iterator to be invalid.

See Also
  Invalid for more details.

InArcIt | ( | const Digraph & | ,
|  | const Node & |
| ) |  |
| inline

Sets the iterator to the first incoming arc of the given node.

InArcIt | ( | const Digraph & | ,
|  | const Arc & |
| ) |  |
| inline

Sets the iterator to the given arc of the given digraph.

## Member Function Documentation

InArcIt& operator++ | ( |  | ) |
| inline

Assign the iterator to the next incoming arc of the corresponding node.